REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single CoworkerPaymentMethod record by its Id.
{ "CoworkerId": 123, "BusinessId": 123, "BusinessName": "<string>", "BusinessCurrencyCode": "<string>", "RegularPaymentProvider": 123, "MethodId": "<string>", "CustomerId": "<string>", "MandateId": "<string>", "CardNumber": "<string>", "Notes": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
CoworkerPaymentMethod-Read
curl -X GET \ "https://spaces.nexudus.com/api/billing/coworkerpaymentmethods/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "CoworkerId": 0, "BusinessId": 0, "BusinessName": null, "BusinessCurrencyCode": null, "RegularPaymentProvider": 0, "MethodId": null, "CustomerId": null, "MandateId": null, "CardNumber": null, "Notes": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "CoworkerPaymentMethod Example", "LocalizationDetails": null, "CustomFields": null }